Bug 1908169 - The example of Import URL is "Fedora cloud image list" for all templates.
Summary: The example of Import URL is "Fedora cloud image list" for all templates.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Aviv Turgeman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 01:12 UTC by Guohua Ouyang
Modified: 2021-07-27 22:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Example URL was set according to version instead of OS Consequence: confusion of example in URLs Fix: adjusting URL according to OS Result: better readability for UI
Clone Of:
Environment:
Last Closed: 2021-07-27 22:35:07 UTC
Target Upstream Version:
aturgema: needinfo-


Attachments (Terms of Use)
example for Import URL (241.96 KB, image/png)
2020-12-16 01:12 UTC, Guohua Ouyang
no flags Details
quickstart (267.23 KB, image/png)
2020-12-17 05:44 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8920 0 None Merged Bug 1908169: The example of Import URL is "Fedora cloud image list" for all templates. 2021-11-14 16:31:39 UTC
Github openshift console pull 9031 0 None Merged Bug 1908169: The example of Import URL is "Fedora cloud image list" for all templates. 2021-11-14 16:31:40 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:35:48 UTC

Description Guohua Ouyang 2020-12-16 01:12:23 UTC
Created attachment 1739498 [details]
example for Import URL

Description of problem:
The example of Import URL is "Fedora cloud image list" for all templates.
It should be "RHEL cloud image list" for RHEL, don't know what should be for windows.

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-13-202314

How reproducible:
100%

Steps to Reproduce:
1. Go to template and select a RHEL template.
2. Click Add Source.
3. Select "Import via URL" in boot source type.

Actual results:


Expected results:


Additional info:

Comment 1 Phillip Bailey 2020-12-16 15:42:19 UTC
I think that example is supposed to be a general example and not to point to a source for each specific type. Matt, Rastislav, could you please clarify?

Comment 2 Matt 2020-12-16 17:00:53 UTC
yes Philip you are right. It's meant to be an example not subject to change based on the OS selection.

Comment 3 Yaacov Zamir 2020-12-17 05:23:50 UTC
closing, see comment#2

Comment 4 Guohua Ouyang 2020-12-17 05:44:23 UTC
Created attachment 1739871 [details]
quickstart

Comment 5 Guohua Ouyang 2020-12-17 05:48:14 UTC
Look at the quick start, it even points to windows image list for windows VM.

And in the RHEL quick start, it says "6. Under the Import URL field, click RHEL cloud image list to view the list of available KVM guest images." which means it should be `RHEL cloud image list` for RHEL.

Comment 6 Yaacov Zamir 2020-12-17 05:53:51 UTC
Can we say "for an example of a cloud image repository see (link to)[Fedora cloud image list]" so it will be clear it's an example, ( because we have no table of sources that match each possible OS, and we can't change the link based on each posible OS ) ?

Comment 7 Yaacov Zamir 2020-12-17 05:58:41 UTC
> And in the RHEL quick start, it says "6. Under the Import URL field, click RHEL cloud image list to view the list of available KVM guest images."

Is it an upstream/downstream thing ? 
that downstream it will be "RHEL cloud image" and upstream it will be "Fedora cloud image", Tomas do you know somthing ?

Comment 8 Guohua Ouyang 2020-12-17 06:14:55 UTC
On Upstream, examples for all templates are "Example: For Fedora, visit the Fedora cloud image list and copy the download link URL for the cloud base image".
On Downstream, examples for all templates are " Example: For RHEL, visit the RHEL download page (requires login) and copy the download link URL of the KVM guest image".

It's already mentioned they're examples, but it's odd to give Fedora example when user are actually using RHEL/Windows template. 

> because we have no table of sources that match each possible OS, and we can't change the link based on each posible OS ) ?
We should only cover: Fedora, RHEL and Windows.

Comment 9 Yaacov Zamir 2020-12-17 06:28:34 UTC
Fillip and Matt ( and me ) think it's OK to have same example for all OS,

Leaving this bug closed, will reopen (or open a new one) if new people complain.

Comment 12 Matt 2020-12-17 15:56:54 UTC
agreed - I am not against a more dynamic approach IF we can adjust per OS selection but I'll leave that up to the experts :)

Comment 13 Yaacov Zamir 2020-12-17 16:04:12 UTC
reopen per comment#12, will move to 4.8 once open

Comment 14 Yaacov Zamir 2021-01-19 12:58:29 UTC
changing to low as this is a "nice to have" feature that does not impact usability

Comment 16 Guohua Ouyang 2021-05-25 03:47:14 UTC
on 4.8.0-fc.5, the URl for CentOS is 'Fedora', it should be CentOS.

Comment 17 Yaacov Zamir 2021-05-25 05:08:11 UTC
Aviv hi, I added the centos link per comment#16 please add centos to the fix:

- For Fedora: https://alt.fedoraproject.org/cloud/
- For RHEL: https://access.redhat.com/downloads/content/479/ver=/rhel---8/8.2/x86_64/product-software
- For Windows: https://www.microsoft.com/en-us/software-download/windows10ISO
- For CentOS: https://cloud.centos.org/centos/

Comment 21 errata-xmlrpc 2021-07-27 22:35:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.